@import 'variables';

.add-form {
  position: relative;
  width: 500px;
  &__title {
    font-size: 20px;
    font-weight: bold;
    margin: 0;
  }

  &__separator {
    margin: 20px 0;
  }

  &__group-name {
    font-size: 16px;
    font-weight: bold;
  }

  &__input {
    width: 100%;
  }

  &__units {
    position: relative;
    height: 290px;
    overflow-y: auto;
  }

  &__units-add-button {
    display: block;
    color: $primary-color;
    padding: 0 0 10px;
    cursor: pointer;
  }

  &__button {
    background-color: $primary-color;
    color: $white;
    font-size: 16px;
    border-radius: 8px;
    margin: 10px 0;
    padding: 2px 15px;
    &--cancel {
      background-color: $white;
      font-weight: bold;
      color: $primary-color;
    }
    &[disabled] {
      background-color: rgba($primary-color, 0.5);
      color: $white;
    }
  }

  &__close-button {
    position: absolute;
    right: 0;
    top: 0;
    height: 10px;
    width: 10px;
    cursor: pointer;
    &:before {
      display: block;
      position: absolute;
      top: 4px;
      left: -5px;
      content: '';
      width: 20px;
      height: 2px;
      background-color: $gray-medium-light;
      transform: rotate(45deg);
    }
    &:after {
      display: block;
      position: absolute;
      top: 4px;
      left: -5px;
      content: '';
      width: 20px;
      height: 2px;
      background-color: $gray-medium-light;
      transform: rotate(-45deg);
    }
  }
}
